from django.urls import path
from .views import (
    SalesReportView, OperationsReportView, FinanceReportView, 
    HRReportView, CombinedReportView, ExportReportView
)

urlpatterns = [
    path('sales/', SalesReportView.as_view(), name='reports-sales'),
    path('operations/', OperationsReportView.as_view(), name='reports-ops'),
    path('finance/', FinanceReportView.as_view(), name='reports-finance'),
    path('hr/', HRReportView.as_view(), name='reports-hr'),
    path('combined/', CombinedReportView.as_view(), name='reports-combined'),
    path('export/', ExportReportView.as_view(), name='reports-export'),
]
